import moment from "moment";
const useUavStore = defineStore("uav", {
  state: () => ({
    params: {
        lat: 31.162232,
        lng: 120.734077,
        altitude: 100,
        heading: 0, //当前朝向
        pitch: 0, //保当前俯仰角
        roll: 0, //当前翻滚角
        correction: 1,
        speed: 500,
    },
    realTime:moment().format('YYYY-MM-DD HH:mm')
  }),
  actions: {
    setParams(data) {
      this.params = data;
    },
    setTime(time) {
      this.realTime = time;
    },
  },
});
export default useUavStore